pro lmc_a, targetid, targetsubid, source_id
common measured_offsets,space_shift,nsum
common dir_structure,datadir,calibdir,datadir2,tmpdir,workdir
common measured_offsets,space_shift,nsum
;
make_env_var                    ; make environment variables
;
filter_spec='N3_NP'
dddir=strtrim(string(targetid),2)+'.'+strtrim(string(targetsubid),2)+'.'
specimage_n_wc_filename=dddir+'N3_NP.specimage_wc_indiv.fits'
mask_specimage_n_wc_filename=dddir+'N3_NP.specimage_mask_indiv.fits'
;
do_param_initialize,filter_spec,targetid,targetsubid,root_dir=root_dir,$
 /no_logger_init,reference_fits=specimage_n_wc_filename,/file_in_workdir
;
specimage_n_wc= MRDFITS(workdir+'/'+specimage_n_wc_filename, 0, $
 specheader, /silent)
mask_specimage_n= MRDFITS(workdir+'/'+mask_specimage_n_wc_filename, 0, $
 specheader, /silent)

;
atv, specimage_n_wc[*,*,source_id],/block
end
